GNU bug report logs - #18324
plots hang in inferior octave mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: John Lawrence Aspden <john@HIDDEN>; dated Sun, 24 Aug 2014 18:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 18324 <at> debbugs.gnu.org:


Received: (at 18324) by debbugs.gnu.org; 27 Aug 2014 05:35:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 27 01:35:43 2014
Received: from localhost ([127.0.0.1]:53149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XMVtX-0000F2-Gw
	for submit <at> debbugs.gnu.org; Wed, 27 Aug 2014 01:35:43 -0400
Received: from mail-pd0-f179.google.com ([209.85.192.179]:42546)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sdl.web@HIDDEN>) id 1XMVtU-0000Em-Lk
 for 18324 <at> debbugs.gnu.org; Wed, 27 Aug 2014 01:35:41 -0400
Received: by mail-pd0-f179.google.com with SMTP id v10so23827791pde.10
 for <18324 <at> debbugs.gnu.org>; Tue, 26 Aug 2014 22:35:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:face:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=3Or0Rp55cBuDofX9MlPZnkbYXTpy6w/nXr0Jx5xOKHE=;
 b=VLnK9eqkGjcr+DC+cGX/ucJRtX0DL4on9iKhOIILREfVG6ooCZbuQiT2Oi8t55+54z
 kCQ18Cu37V958limwOCBYAGvXT04XfwWEdmdBAoSmJLtOZ2I/F597VEENYIDLm49u2bF
 HYG/NZmRvJGYe2KISF5v4yvYtyBo3LUJRc45Elr/CB/LU+WyDlmMhyk8Q2F9QhjWKLDB
 WYaM+V8iwrUFiAUCzMy/rQ0PxguPtHiir47BrX9LpZJszR5drGjK2wbppp+UKuyQ7F5u
 EPKH1xQtx8vIL4j07O1SPCbQ7Li9U//jXH2qo+6tbM+B8lOZG5CPuAjURieOq5nBRlAO
 /qMg==
X-Received: by 10.70.102.200 with SMTP id fq8mr18627052pdb.152.1409117734219; 
 Tue, 26 Aug 2014 22:35:34 -0700 (PDT)
Received: from fortuna ([221.222.148.29])
 by mx.google.com with ESMTPSA id j9sm7859542pdr.77.2014.08.26.22.35.32
 for <multiple recipients>
 (version=TLSv1.1 cipher=RC4-SHA bits=128/128);
 Tue, 26 Aug 2014 22:35:33 -0700 (PDT)
From: Leo Liu <sdl.web@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#18324: plots hang in inferior octave mode
References: <CAGbd7Sv790QMAUJFo=7Jpe6XJeM0GELaheS71biZqZ0bTb2_Dw@HIDDEN>
 <wsha0ywpss.fsf@HIDDEN> <lfha0yvawv.fsf@HIDDEN>
 <m3a96qlgbd.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAGFBMVEUzRVhbQj4eZqO6SjnT
 eWpxnMetm5b6/PmidmqrAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1F
 B9cBBwMLBfKABCMAAAFoSURBVCjPtZI9a8MwEIaFoc7aYDdelQMna0Em3tsSr0XUeE2Q6a22a+v+
 fk8fSSBkbDUI6dHpfe9OEvRgiD+ApqKPJgJeB6iUUXWESjUe/ig38AJrhqqvaU2nTIXbNvOQ40fe
 qdry4kyGoVWsfCQalXpHnJGM01wjWdYbMlXNFdsZDO69m9aqNqxEJqTEgbM5OF7wlEfIoll1Ked4
 LbM5X2EdILLokEdmI8z7g5cKED0cuTC930TYhy7ZDekkXVGw/L60TguJePPxcJF48lpsSUWEA/Ju
 jGFNgJOXc4Hz7TmAdBeu5Ve4AEjOi2/2jfd3cAJZ+IbNrvdjgBZY01b+HTuG3cLws6BJZqVOj/pp
 T0OqVwx3rFq+QmJwx3loK5JSLEhDIt62+mtC2C+SrAUxEbV6C6v2BRbd6pILBKFpepKZJHgGgrKF
 sptSUUoczpwg2pQ7ZH1tgs0ou/917mzz6Cs2//C978cv5l07L02orIEAAAAASUVORK5CYII=
Date: Wed, 27 Aug 2014 13:35:28 +0800
In-Reply-To: <m3a96qlgbd.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 27 Aug 2014 00:14:30 -0400")
Message-ID: <m3zjeq336n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (CentOS 6.5)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18324
Cc: john@HIDDEN, 18324 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 2014-08-27 00:14 -0400, Glenn Morris wrote:
> 1) Plots also hang in 24.3 (after setting prompt as per
> https://savannah.gnu.org/bugs/?41099 to make it work at all).
>
> 2) Plots also hang in standalone octave if one does eg
> ls -l /usr/bin and leaves it at the pager.
> Ref: https://cygwin.com/ml/cygwin/2013-02/msg00302.html
>
> 3) The flags --line-editing -i seem to be there by default now and do not help.
> Ref: https://lists.gnu.org/archive/html/help-emacs-windows/2012-10/msg00035.html

Thanks for these points. I at one point tried to reduce
inferior-octave-startup-args to nil but there were (performance?)
problems. I forgot where it was discussed.

I can reproduce the hang with "octave --no-gui --no-line-editing" in a
terminal outside emacs.

Best, Leo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18324; Package emacs. Full text available.

Message received at 18324 <at> debbugs.gnu.org:


Received: (at 18324) by debbugs.gnu.org; 27 Aug 2014 04:14:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 27 00:14:33 2014
Received: from localhost ([127.0.0.1]:53110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XMUcz-00044Q-2t
	for submit <at> debbugs.gnu.org; Wed, 27 Aug 2014 00:14:33 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:45109 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XMUcx-00044J-5T
 for 18324 <at> debbugs.gnu.org; Wed, 27 Aug 2014 00:14:31 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XMUcw-0002W9-Cw; Wed, 27 Aug 2014 00:14:30 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 18324 <at> debbugs.gnu.org
Subject: Re: bug#18324: plots hang in inferior octave mode
References: <CAGbd7Sv790QMAUJFo=7Jpe6XJeM0GELaheS71biZqZ0bTb2_Dw@HIDDEN>
 <wsha0ywpss.fsf@HIDDEN> <lfha0yvawv.fsf@HIDDEN>
X-Spook: UMTS virus New World Order condor number key halcon
X-Ran: %SQ;d<"%Gny,rWS65.%w]T#wYkpB;S|GRw|@&:ORw\6Nx@j)<sqs+!?bq#>YQ.`Y87c"8H
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 27 Aug 2014 00:14:30 -0400
In-Reply-To: <lfha0yvawv.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 27 Aug 2014 00:01:04 -0400")
Message-ID: <m3a96qlgbd.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 18324
Cc: john@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)


BTW:
1) Plots also hang in 24.3 (after setting prompt as per
https://savannah.gnu.org/bugs/?41099 to make it work at all).

2) Plots also hang in standalone octave if one does eg
ls -l /usr/bin and leaves it at the pager.
Ref: https://cygwin.com/ml/cygwin/2013-02/msg00302.html

3) The flags --line-editing -i seem to be there by default now and do not help.
Ref: https://lists.gnu.org/archive/html/help-emacs-windows/2012-10/msg00035.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18324; Package emacs. Full text available.
bug Marked as found in versions 24.3.93. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18324 <at> debbugs.gnu.org:


Received: (at 18324) by debbugs.gnu.org; 27 Aug 2014 04:01:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 27 00:01:20 2014
Received: from localhost ([127.0.0.1]:53098 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XMUQ7-0003kz-0j
	for submit <at> debbugs.gnu.org; Wed, 27 Aug 2014 00:01:20 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:44805 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XMUPz-0003kd-DX
 for 18324 <at> debbugs.gnu.org; Wed, 27 Aug 2014 00:01:12 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XMUPw-000816-M3; Wed, 27 Aug 2014 00:01:04 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 18324 <at> debbugs.gnu.org
Subject: Re: bug#18324: plots hang in inferior octave mode
References: <CAGbd7Sv790QMAUJFo=7Jpe6XJeM0GELaheS71biZqZ0bTb2_Dw@HIDDEN>
 <wsha0ywpss.fsf@HIDDEN>
X-Spook: passwd FBI Afghanistan CDMA codes military national
X-Ran: 6=@fi|W8jHQv;n6*LD!hB);C^(wP}W"`);/riK<+Y,1eyD}I)/gh|U#5r.z42p[7}{H7y^
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 27 Aug 2014 00:01:04 -0400
In-Reply-To: <wsha0ywpss.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 26 Aug 2014 23:54:11 -0400")
Message-ID: <lfha0yvawv.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18324
Cc: john@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


Whoops, I spoke too soon, sorry. The plot window does indeed hang.
Reopened.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18324; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug No longer marked as fixed in versions 24.4. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18324-done <at> debbugs.gnu.org:


Received: (at 18324-done) by debbugs.gnu.org; 27 Aug 2014 03:54:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 26 23:54:15 2014
Received: from localhost ([127.0.0.1]:53070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XMUJK-0003XF-T2
	for submit <at> debbugs.gnu.org; Tue, 26 Aug 2014 23:54:15 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:44661 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XMUJJ-0003X7-0h
 for 18324-done <at> debbugs.gnu.org; Tue, 26 Aug 2014 23:54:13 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XMUJI-0008Bp-1K; Tue, 26 Aug 2014 23:54:12 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 18324-done <at> debbugs.gnu.org
Subject: Re: bug#18324: plots hang in inferior octave mode
References: <CAGbd7Sv790QMAUJFo=7Jpe6XJeM0GELaheS71biZqZ0bTb2_Dw@HIDDEN>
X-Spook: Pine Gap Taiwan eavesdropping George W. Bush lock picking
X-Ran: /V.ER[)79n!^5j(Ainp?g"C-[u+JzBe:[G>qat+`|B,G#+M8NVFp<-g-Em;W}&(U{AUJw8
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 26 Aug 2014 23:54:11 -0400
In-Reply-To: <CAGbd7Sv790QMAUJFo=7Jpe6XJeM0GELaheS71biZqZ0bTb2_Dw@HIDDEN>
 (John Lawrence Aspden's message of "Sun, 24 Aug 2014 13:43:32 +0100")
Message-ID: <wsha0ywpss.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18324-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Version: 24.4

John Lawrence Aspden wrote:

> GNU Emacs 24.3.1
> GNU Octave, version 3.8.1
>
> Start Emacs
> $ emacs -Q
>
> Start an Inferior Octave Process
> M-x run-octave
>
> Octave Commands to produce plot
> x=1:10
> plot(x)

Thanks for the report.
By experiment, this is already fixed for the next release of Emacs.
Try it out at
http://alpha.gnu.org/gnu/emacs/pretest/emacs-24.3.93.tar.xz 

(Plain M-x run-octave hangs for me in 24.3.)

> In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.12.2)
>  of 2014-06-06 on barber, modified by Debian




Notification sent to John Lawrence Aspden <john@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Glenn Morris <rgm@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 18324 <at> debbugs.gnu.org:


Received: (at 18324) by debbugs.gnu.org; 27 Aug 2014 03:21:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 26 23:21:02 2014
Received: from localhost ([127.0.0.1]:53052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XMTnB-0002ju-7o
	for submit <at> debbugs.gnu.org; Tue, 26 Aug 2014 23:21:01 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:11063)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XMTn8-0002jf-Iq
 for 18324 <at> debbugs.gnu.org; Tue, 26 Aug 2014 23:20:59 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVPAqyTi/2dsb2JhbABZgwY7gw/APYEXF3SCJQEBAQECAVYjBQsLNBIUGA0kiAQIDdIMF456B4Q4BKsDg0wh
X-IPAS-Result: ArYGAIDvNVPAqyTi/2dsb2JhbABZgwY7gw/APYEXF3SCJQEBAQECAVYjBQsLNBIUGA0kiAQIDdIMF456B4Q4BKsDg0wh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="87913870"
Received: from 192-171-36-226.cpe.pppoe.ca (HELO pastel.home)
 ([192.171.36.226])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 26 Aug 2014 23:20:53 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id CADDD6BC7D; Tue, 26 Aug 2014 23:20:47 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: =?windows-1252?Q?R=FCdiger?= Sonderfeld <ruediger@HIDDEN>
Subject: Re: bug#18324: plots hang in inferior octave mode
Message-ID: <jwvzjeqaab2.fsf-monnier+emacsbugs@HIDDEN>
References: <CAGbd7Sv790QMAUJFo=7Jpe6XJeM0GELaheS71biZqZ0bTb2_Dw@HIDDEN>
 <1820823.krIurrGByn@descartes>
Date: Tue, 26 Aug 2014 23:20:47 -0400
In-Reply-To: <1820823.krIurrGByn@descartes> (=?windows-1252?Q?=22R=FCdiger?=
 Sonderfeld"'s message of "Wed, 27 Aug 2014 01:49:58 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 18324
Cc: john@HIDDEN, 18324 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Please try the latest octave-mode from Emacs trunk 
> http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/head:/lisp/progmodes/octave.el

> It has been significantly improved and should include changes for GNU Octave 
> 3.8.  It should also be backwards compatible to GNU Emacs 24.3.

This said, it would be even better to try the version from the
`emacs-24' branch, since that's what will be released in 24.4, and it'd
good to know if this problem is fixed in 24.4 or not.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18324; Package emacs. Full text available.

Message received at 18324 <at> debbugs.gnu.org:


Received: (at 18324) by debbugs.gnu.org; 26 Aug 2014 23:50:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 26 19:50:21 2014
Received: from localhost ([127.0.0.1]:53007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XMQVI-0005zS-0L
	for submit <at> debbugs.gnu.org; Tue, 26 Aug 2014 19:50:20 -0400
Received: from ptmx.org ([178.63.28.110]:48994)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ruediger@HIDDEN>) id 1XMQVE-0005zH-5S
 for 18324 <at> debbugs.gnu.org; Tue, 26 Aug 2014 19:50:17 -0400
Received: from localhost (localhost [127.0.0.1])
 by ptmx.org (Postfix) with ESMTP id B8575212C0;
 Wed, 27 Aug 2014 01:50:14 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at ptmx.org
Received: from ptmx.org ([127.0.0.1])
 by localhost (ptmx.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id DQPSJx8ZChHJ; Wed, 27 Aug 2014 01:50:12 +0200 (CEST)
Received: from descartes.localnet (chello080109100138.16.15.univie.teleweb.at
 [80.109.100.138]) by ptmx.org (Postfix) with ESMTPSA id 649F1208B3;
 Wed, 27 Aug 2014 01:50:11 +0200 (CEST)
From: =?ISO-8859-1?Q?R=FCdiger?= Sonderfeld <ruediger@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#18324: plots hang in inferior octave mode
Date: Wed, 27 Aug 2014 01:49:58 +0200
Message-ID: <1820823.krIurrGByn@descartes>
User-Agent: KMail/4.13.3 (Linux/3.13.0-34-generic; KDE/4.13.3; x86_64; ; )
In-Reply-To: <CAGbd7Sv790QMAUJFo=7Jpe6XJeM0GELaheS71biZqZ0bTb2_Dw@HIDDEN>
References: <CAGbd7Sv790QMAUJFo=7Jpe6XJeM0GELaheS71biZqZ0bTb2_Dw@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18324
Cc: John Lawrence Aspden <john@HIDDEN>, 18324 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Please try the latest octave-mode from Emacs trunk=20
http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/head:/lisp/progmode=
s/octave.el

It has been significantly improved and should include changes for GNU O=
ctave=20
3.8.  It should also be backwards compatible to GNU Emacs 24.3.

Regards,
R=C3=BCdiger

On Sunday 24 August 2014 13:43:32 John Lawrence Aspden wrote:
> Hi, I'm finding that plot windows freeze running octave in inferior-o=
ctave
> mode
>=20
> GNU Emacs 24.3.1
> GNU Octave, version 3.8.1
>=20
> Start Emacs
> $ emacs -Q
>=20
> Start an Inferior Octave Process
> M-x run-octave
>=20
> Octave Commands to produce plot
> x=3D1:10
> plot(x)
>=20
> Plot window is frozen. The same commands entered directly into octave=

> in a terminal or octave started in emacs shell mode work fine.
>=20
> Thanks, John.
>=20
>=20
> If Emacs crashed, and you have the Emacs process in the gdb debugger,=

> please include the output from the following gdb commands:
>     `bt full' and `xbacktrace'.
> For information about debugging Emacs, please read the file
> /usr/share/emacs/24.3/etc/DEBUG.
>=20
>=20
> In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.12.2)
>  of 2014-06-06 on barber, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.116=
00000
> System Description:=09Debian GNU/Linux testing (jessie)
>=20
> Configured using:
>  `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'=

>  '--prefix=3D/usr' '--sharedstatedir=3D/var/lib' '--libexecdir=3D/usr=
/lib'
>  '--localstatedir=3D/var/lib' '--infodir=3D/usr/share/info'
>  '--mandir=3D/usr/share/man' '--with-pop=3Dyes'
>  '--enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/e=
macs/24.3
> /site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/sit=
e-lisp:
> /usr/share/emacs/site-lisp' '--with-crt-dir=3D/usr/lib/x86_64-linux-g=
nu'
> '--with-x=3Dyes'
>  '--with-x-toolkit=3Dgtk3' '--with-toolkit-scroll-bars'
>  'build_alias=3Dx86_64-linux-gnu' 'CFLAGS=3D-g -O2 -fstack-protector
>  --param=3Dssp-buffer-size=3D4 -Wformat -Werror=3Dformat-security -Wa=
ll'
>  'LDFLAGS=3D-Wl,-z,relro' 'CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2''
>=20
> Important settings:
>   value of $LANG: en_GB.UTF-8
>   locale-coding-system: utf-8-unix
>   default enable-multibyte-characters: t
>=20
> Major mode: Inferior Octave
>=20
> Minor modes in effect:
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>=20
> Recent input:
> M-x r u n - c o <backspace> <backspace> o c t a v e
> <return> x =3D 1 : 1 0 <return> p l o t ( x ) <return>
> <help-echo> <help-echo> <help-echo> <down-mouse-1>
> <mouse-1> <up> <down> M-p <return> <help-echo> <help-echo>
> <help-echo> <help-echo> M-x r e p o r t - e m a c s
> - b u g <return>
>=20
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> History item: 1
>=20
> Load-path shadows:
> None found.
>=20
> Features:
> (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 =
mml
> mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
> gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
> mail-prsvr mail-utils octave-inf comint ansi-color ring octave-mod sm=
ie
> easymenu time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel=

> x-win x-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-li=
st
> newcomment lisp-mode register page menu-bar rfn-eshadow timer select
> scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame c=
ham
> georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
> korean japanese hebrew greek romanian slovak czech european ethiopic
> indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple=

> abbrev minibuffer loaddefs button faces cus-face macroexp files
> text-properties overlay sha1 md5 base64 format env code-pages mule
> custom widget hashtable-print-readable backquote make-network-process=

> dbusbind dynamic-setting system-font-setting font-render-setting
> move-toolbar gtk x-toolkit x multi-tty emacs)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18324; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Aug 2014 23:50:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 26 19:50:45 2014
Received: from localhost ([127.0.0.1]:53010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XMQVf-00060A-9w
	for submit <at> debbugs.gnu.org; Tue, 26 Aug 2014 19:50:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44160)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ruediger@HIDDEN>) id 1XMQVc-0005zs-CL
 for submit <at> debbugs.gnu.org; Tue, 26 Aug 2014 19:50:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ruediger@HIDDEN>) id 1XMQVQ-0004JP-Up
 for submit <at> debbugs.gnu.org; Tue, 26 Aug 2014 19:50:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51085)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ruediger@HIDDEN>) id 1XMQVQ-0004JK-RU
 for submit <at> debbugs.gnu.org; Tue, 26 Aug 2014 19:50:28 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45867)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ruediger@HIDDEN>) id 1XMQVL-0002hB-D9
 for bug-gnu-emacs@HIDDEN; Tue, 26 Aug 2014 19:50:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ruediger@HIDDEN>) id 1XMQVF-0004GS-3z
 for bug-gnu-emacs@HIDDEN; Tue, 26 Aug 2014 19:50:23 -0400
Received: from ptmx.org ([178.63.28.110]:34201)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ruediger@HIDDEN>) id 1XMQVE-0004Ex-RJ
 for bug-gnu-emacs@HIDDEN; Tue, 26 Aug 2014 19:50:17 -0400
Received: from localhost (localhost [127.0.0.1])
 by ptmx.org (Postfix) with ESMTP id B8575212C0;
 Wed, 27 Aug 2014 01:50:14 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at ptmx.org
Received: from ptmx.org ([127.0.0.1])
 by localhost (ptmx.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id DQPSJx8ZChHJ; Wed, 27 Aug 2014 01:50:12 +0200 (CEST)
Received: from descartes.localnet (chello080109100138.16.15.univie.teleweb.at
 [80.109.100.138]) by ptmx.org (Postfix) with ESMTPSA id 649F1208B3;
 Wed, 27 Aug 2014 01:50:11 +0200 (CEST)
From: =?ISO-8859-1?Q?R=FCdiger?= Sonderfeld <ruediger@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#18324: plots hang in inferior octave mode
Date: Wed, 27 Aug 2014 01:49:58 +0200
Message-ID: <1820823.krIurrGByn@descartes>
User-Agent: KMail/4.13.3 (Linux/3.13.0-34-generic; KDE/4.13.3; x86_64; ; )
In-Reply-To: <CAGbd7Sv790QMAUJFo=7Jpe6XJeM0GELaheS71biZqZ0bTb2_Dw@HIDDEN>
References: <CAGbd7Sv790QMAUJFo=7Jpe6XJeM0GELaheS71biZqZ0bTb2_Dw@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: John Lawrence Aspden <john@HIDDEN>, 18324 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Please try the latest octave-mode from Emacs trunk=20
http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/head:/lisp/progmode=
s/octave.el

It has been significantly improved and should include changes for GNU O=
ctave=20
3.8.  It should also be backwards compatible to GNU Emacs 24.3.

Regards,
R=C3=BCdiger

On Sunday 24 August 2014 13:43:32 John Lawrence Aspden wrote:
> Hi, I'm finding that plot windows freeze running octave in inferior-o=
ctave
> mode
>=20
> GNU Emacs 24.3.1
> GNU Octave, version 3.8.1
>=20
> Start Emacs
> $ emacs -Q
>=20
> Start an Inferior Octave Process
> M-x run-octave
>=20
> Octave Commands to produce plot
> x=3D1:10
> plot(x)
>=20
> Plot window is frozen. The same commands entered directly into octave=

> in a terminal or octave started in emacs shell mode work fine.
>=20
> Thanks, John.
>=20
>=20
> If Emacs crashed, and you have the Emacs process in the gdb debugger,=

> please include the output from the following gdb commands:
>     `bt full' and `xbacktrace'.
> For information about debugging Emacs, please read the file
> /usr/share/emacs/24.3/etc/DEBUG.
>=20
>=20
> In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.12.2)
>  of 2014-06-06 on barber, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.116=
00000
> System Description:=09Debian GNU/Linux testing (jessie)
>=20
> Configured using:
>  `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'=

>  '--prefix=3D/usr' '--sharedstatedir=3D/var/lib' '--libexecdir=3D/usr=
/lib'
>  '--localstatedir=3D/var/lib' '--infodir=3D/usr/share/info'
>  '--mandir=3D/usr/share/man' '--with-pop=3Dyes'
>  '--enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/e=
macs/24.3
> /site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/sit=
e-lisp:
> /usr/share/emacs/site-lisp' '--with-crt-dir=3D/usr/lib/x86_64-linux-g=
nu'
> '--with-x=3Dyes'
>  '--with-x-toolkit=3Dgtk3' '--with-toolkit-scroll-bars'
>  'build_alias=3Dx86_64-linux-gnu' 'CFLAGS=3D-g -O2 -fstack-protector
>  --param=3Dssp-buffer-size=3D4 -Wformat -Werror=3Dformat-security -Wa=
ll'
>  'LDFLAGS=3D-Wl,-z,relro' 'CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2''
>=20
> Important settings:
>   value of $LANG: en_GB.UTF-8
>   locale-coding-system: utf-8-unix
>   default enable-multibyte-characters: t
>=20
> Major mode: Inferior Octave
>=20
> Minor modes in effect:
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>=20
> Recent input:
> M-x r u n - c o <backspace> <backspace> o c t a v e
> <return> x =3D 1 : 1 0 <return> p l o t ( x ) <return>
> <help-echo> <help-echo> <help-echo> <down-mouse-1>
> <mouse-1> <up> <down> M-p <return> <help-echo> <help-echo>
> <help-echo> <help-echo> M-x r e p o r t - e m a c s
> - b u g <return>
>=20
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> History item: 1
>=20
> Load-path shadows:
> None found.
>=20
> Features:
> (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 =
mml
> mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
> gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
> mail-prsvr mail-utils octave-inf comint ansi-color ring octave-mod sm=
ie
> easymenu time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel=

> x-win x-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-li=
st
> newcomment lisp-mode register page menu-bar rfn-eshadow timer select
> scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame c=
ham
> georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
> korean japanese hebrew greek romanian slovak czech european ethiopic
> indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple=

> abbrev minibuffer loaddefs button faces cus-face macroexp files
> text-properties overlay sha1 md5 base64 format env code-pages mule
> custom widget hashtable-print-readable backquote make-network-process=

> dbusbind dynamic-setting system-font-setting font-render-setting
> move-toolbar gtk x-toolkit x multi-tty emacs)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18324; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Aug 2014 18:21:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 24 14:21:20 2014
Received: from localhost ([127.0.0.1]:51112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XLcPn-0000KQ-8L
	for submit <at> debbugs.gnu.org; Sun, 24 Aug 2014 14:21:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34562)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <aspdenj@HIDDEN>) id 1XLX9P-0000Vk-3m
 for submit <at> debbugs.gnu.org; Sun, 24 Aug 2014 08:44:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aspdenj@HIDDEN>) id 1XLX9F-0006rN-Kv
 for submit <at> debbugs.gnu.org; Sun, 24 Aug 2014 08:43:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43891)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aspdenj@HIDDEN>) id 1XLX9F-0006rI-HF
 for submit <at> debbugs.gnu.org; Sun, 24 Aug 2014 08:43:53 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36130)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aspdenj@HIDDEN>) id 1XLX96-00035b-UQ
 for bug-gnu-emacs@HIDDEN; Sun, 24 Aug 2014 08:43:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aspdenj@HIDDEN>) id 1XLX8w-0006mu-7K
 for bug-gnu-emacs@HIDDEN; Sun, 24 Aug 2014 08:43:44 -0400
Received: from mail-ie0-x229.google.com ([2607:f8b0:4001:c03::229]:39346)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aspdenj@HIDDEN>) id 1XLX8w-0006mf-2D
 for bug-gnu-emacs@HIDDEN; Sun, 24 Aug 2014 08:43:34 -0400
Received: by mail-ie0-f169.google.com with SMTP id rd18so8701057iec.28
 for <bug-gnu-emacs@HIDDEN>; Sun, 24 Aug 2014 05:43:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=mime-version:sender:date:message-id:subject:from:to:content-type;
 bh=dp4+zdy2jG4opTdqGZLOgbe5yP2yZrRYivCdzUOn0nA=;
 b=Ld4cijAqGnHgHq5Opr4f100o3U0juj0qvbQDGgTjHhl5dD0YDx1kRmW01RWFKBcjDW
 tMLIfjco4Gg2GLAypDGaJ/m+HTwPn7tGcMiytClBdJ0vsZubAOj44IRjBCnbktt7zDmp
 rlcFvTdZqXxGq6OtadAmLcJFJnwyRwPD7xvKbZVse+SK5yg9Fr4ZL6EVSGpqKB0gZkgj
 MeqWyYyXDQ+nE4cOnrCzCYDGJFWxeYcNMmORazapm4haF/l/xBmqQncc4Csf6c0h5A61
 GcGo2PSCgUHDFtTLZrZALDT9O04eWqCRU99pK+L2+yCF9iFQBuUNimLF1b3901gPkzB9
 7GuQ==
MIME-Version: 1.0
X-Received: by 10.50.43.225 with SMTP id z1mr9383808igl.17.1408884213145; Sun,
 24 Aug 2014 05:43:33 -0700 (PDT)
Received: by 10.107.148.138 with HTTP; Sun, 24 Aug 2014 05:43:32 -0700 (PDT)
Date: Sun, 24 Aug 2014 13:43:32 +0100
X-Google-Sender-Auth: kiMp5fLbzgAbkECsQlXa5Z_lbCA
Message-ID: <CAGbd7Sv790QMAUJFo=7Jpe6XJeM0GELaheS71biZqZ0bTb2_Dw@HIDDEN>
Subject: plots hang in inferior octave mode
From: John Lawrence Aspden <john@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 24 Aug 2014 14:21:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Hi, I'm finding that plot windows freeze running octave in inferior-octave mode

GNU Emacs 24.3.1
GNU Octave, version 3.8.1

Start Emacs
$ emacs -Q

Start an Inferior Octave Process
M-x run-octave

Octave Commands to produce plot
x=1:10
plot(x)

Plot window is frozen. The same commands entered directly into octave
in a terminal or octave started in emacs shell mode work fine.

Thanks, John.


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/share/emacs/24.3/etc/DEBUG.


In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.12.2)
 of 2014-06-06 on barber, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11600000
System Description:	Debian GNU/Linux testing (jessie)

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var/lib' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes'
 '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
 'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector
 --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
 'LDFLAGS=-Wl,-z,relro' 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Inferior Octave

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r u n - c o <backspace> <backspace> o c t a v e
<return> x = 1 : 1 0 <return> p l o t ( x ) <return>
<help-echo> <help-echo> <help-echo> <down-mouse-1>
<mouse-1> <up> <down> M-p <return> <help-echo> <help-echo>
<help-echo> <help-echo> M-x r e p o r t - e m a c s
- b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
History item: 1

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils octave-inf comint ansi-color ring octave-mod smie
easymenu time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel
x-win x-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)




Acknowledgement sent to John Lawrence Aspden <john@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18324; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.